Skip to main content
GET
/
hub_collaborations
/
{hub_collaboration_id}
cURL
curl -i -X GET "https://api.box.com/2.0/hub_collaborations/1234" \
     -H "box-version: 2025.0" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "id": "12345678",
  "type": "hub_collaboration",
  "hub": {
    "id": "12345",
    "type": "hubs"
  },
  "accessible_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "role": "editor",
  "status": "accepted",
  "acceptance_requirements_status": {
    "terms_of_service_requirement": {
      "is_accepted": true,
      "terms_of_service": {
        "id": "11446498",
        "type": "terms_of_service"
      }
    },
    "strong_password_requirement": {
      "enterprise_has_strong_password_required_for_external_users": true,
      "user_has_strong_password": true
    },
    "two_factor_authentication_requirement": {
      "enterprise_has_two_factor_auth_enabled": true,
      "user_has_two_factor_authentication_enabled": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2025.0

Path Parameters

hub_collaboration_id
string
required

The ID of the hub collaboration.

Response

Returns a Box Hub collaboration object.

A Box Hub collaboration object grants a user or group access to a Box Hub with permissions defined by a specific role.

id
string
required

The unique identifier for this collaboration.

Example:

"12345678"

type
enum<string>
required

The value will always be hub_collaboration.

Available options:
hub_collaboration
Example:

"hub_collaboration"

hub
Box Hub (Base) · object

The bare basic representation of a Box Hub.

accessible_by
Box Hub Collaboration User · object

A mini representation of a user, can be returned only when the status is pending.

role
string

The level of access granted to a Box Hub. Possible values are editor, viewer, and co-owner.

Example:

"editor"

status
enum<string>

The status of the collaboration invitation. If the status is pending, login and name return an empty string.

Available options:
accepted,
pending,
rejected
Example:

"accepted"

acceptance_requirements_status
object